# -*- Perl -*-
################################################################
# config.ph : system configuration
#
# $Id: config.ph.in,v 1.36 2000/09/19 13:26:46 kenji Exp $
################################################################
package HNS::System;
# base configration : must be set
$Title = "%NIKKITITLE%";

# mail address
$UserMail = '%USERMAIL%';

# author name
$Author = '%AUTHOR%';

# mail address for receiving message (make-rurimap.cgi)
$MesMail = '%MESMAIL%';

# diary direcotry
$DiaryDir = "%DIARYDIR%";
$MyDiaryURI = "%MYDIARYURI%"; 
$IncludeDir = "%HTMLDIR%";

# Permit Hoshino Antenna(http://www.h14m.org/hoshino/) Registration?
$HoshinoAntenna = "%ANTENNA%";	# Yes -> OK, No -> NG

# default number of display (days)
$DefaultMax = 5;

# theme
$Theme = "%THEME%";

# Cookie
$CookieFlag = "ON";
$AdminCookieFlag = "ON";	# Set Cookie on Administration Page?
$CookieExpires = '+1M';	# '[+-][0-9]+[YMDhms]'
				# Y:year, M:month, D:day,
				# h:hour, m:minute, s:sec

$NoRedirect = 1;	# %7E -> ~ redirect; 0 -> redirect, 1 -> no redirect

# Persistent Caching
$CacheDir = "%DIARYDIR%/cache";
$Caching = 1;		# 1 -> on (default), 0 -> off
$AllowCacheOnly = 0;	# 1 -> on, 0 -> off (default)
$AutoCacheClear = 1;	# 1 -> on (default), 0 -> off

# logging
$RefererLog = "ON";
$LinkLog = "ON";
$CacheLog = "OFF";	# OFF (default)

$TZ = 9;	# Time Zone
$Lang = "ja";	# default language

# if "ON" then don't warn even if use reserved command
$IgnoreReserved = "OFF";

# if "ON" then always displays diary reversely
$AlwaysReverse = "OFF";

# display order of sections in a day
$NewReverse = %NEWREVERSE%;	# 0 -> normal, 1 -> reverse

$StartYear = %STARTYEAR%;

# Image width max size
$ImgWidthMaxSize = 300;

# FN count style
$FNCountStyle = 1;	# 1 -> each day (default), 0 -> each section 

# i system integration
$isystem = "i";	# set i system web directory

################################################################
package HNS::Style;
$UnagiUse = "%UNAGIUSE%";
$UnagiURL = "namazu.cgi";
$NamazuURL = "http://www.namazu.org/";

$CalendarUse = "ON";
$DirectCalendarUse = "ON";
$PIMUse = "ON";
$TitleListUse = "ON";

################################################################
package HNS::PIM::Schedule;
$MaxNum = 8;	# max number of schedule 
$Range = 1;	# month(s) of schedule displayed
$RRange = $Range;	# month(s) of schedule displayed for repeat
$GraceDays = 0;	# number of day(s) to display past schedule

################################################################
package HNS::PIM::Todo;
$MaxNum = 8;	# max number of Todo

################################################################
package HNS::Hnf::Command::Image;
$AllowRemoteImage = 0;

1;
